# cache2k 1.2.3.Final

cache2k is a high performance and light weight in-process caching library. Compared to other libraries 
(EHCache, Guava and Caffeine) it achieves the highest throughput for cache hits while still providing 
one of the best eviction efficiency. Advanced features of cache2k, like refresh ahead and resilience 
can solve typical application problems with ease.

This is a bugfix / service release.

This change log lists changes since the last version [1.2.2.Final](https://cache2k.org/1/2.2.Final.html). 
  
## Changes

- Fix startup problem on Android when ProGuard is not used, [GH#102](https://github.com/cache2k/cache2k/issues/102)

## Using this cache2k version

The binaries are available on maven central.

### For Java SE/EE and Android environments

For Maven users:

````
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-base-pom</artifactId>
      <version>1.2.3.Final</version>
      <type>pom</type>
    </dependency>
````

Recommended for Gradle users:

````
def cache2kVersion = '1.2.3.Final'

dependencies {
    implementation "org.cache2k:cache2k-api:${cache2kVersion}"
    runtimeOnly "org.cache2k:cache2k-core:${cache2kVersion}"
}
````

_Note to Android users:_ The included jar files contain code that might only be needed in server environments (e.g. JMX support).
It is possible to strip unnecessary code. Example ProGuard rules can be found at [Andriod - cache2k User Guide](https://cache2k.org/docs/latest/user-guide.html#android)

### Using the JCache / JSR107 provider

Maven users include the cache2k JCache provider this way:

````
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-jcache</artifactId>
      <version>1.2.3.Final</version>
      <scope>runtime</scope>
    </dependency>
````

For Gradle users:

````
dependencies {
    runtimeOnly "org.cache2k:cache2k-jcache:1.2.3.Final"
}
````

Implementation details, tuning tips and hints on configuration can be found at: [JCache - cache2k User Guide](https://cache2k.org/docs/latest/user-guide.html#jcache)
